Package com.mapd.thrift.server

## Class TRowSet

- java.lang.Object
- - com.mapd.thrift.server.TRowSet

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TRowSet>`, `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`, `org.apache.thrift.TSerializable`

    public class TRowSet
    extends Object
    implements org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>, Serializable, Cloneable, Comparable<TRowSet>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TRowSet._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<TColumn>` `columns`
`boolean` `is_columnar`
`static Map<TRowSet._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<TColumnType>` `row_desc`
`List<TRow>` `rows`

### Constructor Summary

Constructors
`TRowSet()`
`TRowSet​(TRowSet other)` Performs a deep copy on other.
`TRowSet​(List<TColumnType> row_desc, List<TRow> rows, List<TColumn> columns, boolean is_columnar)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToColumns​(TColumn elem)`
`void` `addToRow_desc​(TColumnType elem)`
`void` `addToRows​(TRow elem)`
`void` `clear()`
`int` `compareTo​(TRowSet other)`
`TRowSet` `deepCopy()`
`boolean` `equals​(TRowSet that)`
`boolean` `equals​(Object that)`
`TRowSet._Fields` `fieldForId​(int fieldId)`
`List<TColumn>` `getColumns()`
`Iterator<TColumn>` `getColumnsIterator()`
`int` `getColumnsSize()`
`Object` `getFieldValue​(TRowSet._Fields field)`
`List<TColumnType>` `getRow_desc()`
`Iterator<TColumnType>` `getRow_descIterator()`
`int` `getRow_descSize()`
`List<TRow>` `getRows()`
`Iterator<TRow>` `getRowsIterator()`
`int` `getRowsSize()`
`int` `hashCode()`
`boolean` `isIs_columnar()`
`boolean` `isSet​(TRowSet._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumns()` Returns true if field columns is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_columnar()` Returns true if field is_columnar is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_desc()` Returns true if field row_desc is set (has been assigned a value) and false otherwise
`boolean` `isSetRows()` Returns true if field rows is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TRowSet` `setColumns​(List<TColumn> columns)`
`void` `setColumnsIsSet​(boolean value)`
`void` `setFieldValue​(TRowSet._Fields field, Object value)`
`TRowSet` `setIs_columnar​(boolean is_columnar)`
`void` `setIs_columnarIsSet​(boolean value)`
`TRowSet` `setRow_desc​(List<TColumnType> row_desc)`
`void` `setRow_descIsSet​(boolean value)`
`TRowSet` `setRows​(List<TRow> rows)`
`void` `setRowsIsSet​(boolean value)`
`String` `toString()`
`void` `unsetColumns()`
`void` `unsetIs_columnar()`
`void` `unsetRow_desc()`
`void` `unsetRows()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### row_desc

    public List<TColumnType> row_desc

#### rows

    public List<TRow> rows

#### columns

    public List<TColumn> columns

#### is_columnar

    public boolean is_columnar

#### metaDataMap

    public static final Map<TRowSet._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TRowSet

    public TRowSet()

#### TRowSet

    public TRowSet​(List<TColumnType> row_desc,
                   List<TRow> rows,
                   List<TColumn> columns,
                   boolean is_columnar)

#### TRowSet

    public TRowSet​(TRowSet other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TRowSet deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### getRow_descSize

    public int getRow_descSize()

#### getRow_descIterator

    public Iterator<TColumnType> getRow_descIterator()

#### addToRow_desc

    public void addToRow_desc​(TColumnType elem)

#### getRow_desc

    public List<TColumnType> getRow_desc()

#### setRow_desc

    public TRowSet setRow_desc​(List<TColumnType> row_desc)

#### unsetRow_desc

    public void unsetRow_desc()

#### isSetRow_desc

    public boolean isSetRow_desc()

Returns true if field row_desc is set (has been assigned a value) and false otherwise

#### setRow_descIsSet

    public void setRow_descIsSet​(boolean value)

#### getRowsSize

    public int getRowsSize()

#### getRowsIterator

    public Iterator<TRow> getRowsIterator()

#### addToRows

    public void addToRows​(TRow elem)

#### getRows

    public List<TRow> getRows()

#### setRows

    public TRowSet setRows​(List<TRow> rows)

#### unsetRows

    public void unsetRows()

#### isSetRows

    public boolean isSetRows()

Returns true if field rows is set (has been assigned a value) and false otherwise

#### setRowsIsSet

    public void setRowsIsSet​(boolean value)

#### getColumnsSize

    public int getColumnsSize()

#### getColumnsIterator

    public Iterator<TColumn> getColumnsIterator()

#### addToColumns

    public void addToColumns​(TColumn elem)

#### getColumns

    public List<TColumn> getColumns()

#### setColumns

    public TRowSet setColumns​(List<TColumn> columns)

#### unsetColumns

    public void unsetColumns()

#### isSetColumns

    public boolean isSetColumns()

Returns true if field columns is set (has been assigned a value) and false otherwise

#### setColumnsIsSet

    public void setColumnsIsSet​(boolean value)

#### isIs_columnar

    public boolean isIs_columnar()

#### setIs_columnar

    public TRowSet setIs_columnar​(boolean is_columnar)

#### unsetIs_columnar

    public void unsetIs_columnar()

#### isSetIs_columnar

    public boolean isSetIs_columnar()

Returns true if field is_columnar is set (has been assigned a value) and false otherwise

#### setIs_columnarIsSet

    public void setIs_columnarIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TRowSet._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### getFieldValue

    public Object getFieldValue​(TRowSet._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### isSet

    public boolean isSet​(TRowSet._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TRowSet that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TRowSet other)

Specified by:
  `compareTo` in interface `Comparable<TRowSet>`

#### fieldForId

    public TRowSet._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TRowSet,​TRowSet._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`